> For the complete documentation index, see [llms.txt](https://docs.catalyx.solutions/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.catalyx.solutions/catalyx-blockchain-manager/canton-network/version-1.11/installation-instructions-canton/cat-bm-canton-service-installation.md).

# CAT-BM Canton Service Installation

## Install the Catalyst Blockchain Manager Canton Service

Use the following command:

```bash
helm upgrade --install ${canton_release_name} catbp/canton-console --values values.yaml -n ${ns_name}
```

where:

* ${`canton_release_name`} — name of the Catalyst Blockchain Manager Canton service release.\
  You can choose any name/alias.\
  It is used to address for updating, deleting the Helm chart.
* *`catbp/canton-console`* — chart name, where “catbp” is a repository name, “canton-console” is the chart name.
* *`values.yaml`* — a values file.
* ${`ns_name`} — name of the namespace you’ve created before

You can check the status of the installation by using these commands:

* *`helm ls`* — check the "status" field of the installed chart.

{% hint style="info" %}
Status “deployed” should be shown.
{% endhint %}

* *`kubectl get pods`* — get the status of applications separately.

{% hint style="info" %}
All pods statuses must be “running.”
{% endhint %}

* *`kubectl describe pod $pod_name`* — get detailed information about pods.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.catalyx.solutions/catalyx-blockchain-manager/canton-network/version-1.11/installation-instructions-canton/cat-bm-canton-service-installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
